package com.securitycontrol.screen.mapper;

import com.securitycontrol.entity.screen.dto.ConstructionQualityDto;
import com.securitycontrol.entity.screen.dto.OperatingQualityDto;
import com.securitycontrol.entity.screen.vo.ConstructionQualityVo;
import com.securitycontrol.entity.screen.vo.OperatingQualityVo;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository(value = "OperatingMapper")
public interface OperatingMapper {

    /**
     * 作业环境-实时检测
     * @return List<OperatingQualityVo>
     * @description
     * @author jjLv
     * @date 2024/3/27 19:54
     */
    List<OperatingQualityVo> getRealTimeMonitoring(OperatingQualityDto dto);

    List<OperatingQualityVo> getFiniteSpace(OperatingQualityDto dto);

    List<OperatingQualityVo> getSlopeDisplacement(OperatingQualityDto dto);

    List<OperatingQualityVo> getGPSInstallation(OperatingQualityDto dto);

    List<OperatingQualityVo> getFiniteSpaceEnvironment(OperatingQualityDto dto);

    List<OperatingQualityVo> getGPSInstallationEnvironment(OperatingQualityDto dto);

    List<ConstructionQualityVo> getSlopeDisplacementList(ConstructionQualityDto dto);
}
